Bug 181039 - Missing BuildRequires for gcc-c++
Missing BuildRequires for gcc-c++
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-11 21:07 EST by Felipe Alfaro Solana
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-12 15:49:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2006-02-11 21:07:09 EST
Description of problem:
The .spec file for libuser-0.54.3-1.2 misses the following BuildRequires:

BuildRequires: gcc-c++

Version-Release number of selected component (if applicable):
0.54.3-1.2

How reproducible:
Always

Steps to Reproduce:
1. yum erase gcc-c++
2. rpm --rebuild libuser-0.54.3-1.2.src.rpm
  
Actual results:
The build process fails during "%configure".

Expected results:
The missing BuildRequires should get added to the .spec file.

Additional info:
This affects libuser-0.53.7-1 from FC4.
Comment 1 Miloslav Trmač 2006-02-12 15:49:25 EST
libuser-0.54.3 builds fine without g++ for me.
Anyway, gcc-c++ is considered a part of the minimum build environment in
Fedora Extras, so I think it is reasonable to omit the explicit BuildRequires
here, even if it were necessary.

Note You need to log in before you can comment on or make changes to this bug.